<?php

namespace App\Generated\V1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class ConfirmBeAloneMessage extends Message
{
    use ValueHelper;

    protected $stageId;
    protected $result;

    /**
     * @return int
     */
    public function getStageId()
    {
        return $this->stageId;
    }

    public function requestRules()
    {
        return [
            ['stageId', 'stage_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
